#include "pilha_estatica.c"

int main(int argc, char **argv)
{
    char str[50];
    Pilha p = cria_pilha();
    int i;

    system("clear");
    printf("Digite uma palavra/string:\n");
    scanf("%[^\n]s", str);

    for(i = 0;i < strlen(str);i++)
        push(p, str[i]);

    imprime_lista(p);

    if(palindromo(str))
        printf("A string dada eh um palindromo\n");
    else
        printf("A string dada nao eh um palindromo\n");

    return 0;
}
